This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 99022 - System lockup on web server with NFS mounted WWW root directory.
System lockup on web server with NFS mounted WWW root directory.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-11 16:22 EDT by Joy Almacen
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joy Almacen 2003-07-11 16:22:02 EDT
Description of problem:
System locked up with all services down. Still responds to ping but basically 
down.

Version-Release number of selected component (if applicable)
httpd-2.0.40-21.4

How reproducible:


Steps to Reproduce:
1. Setup remote NFS server(RedHat 9)
2. Mount NFS volumes on client (WWW server)
3. Change the DocumentRoot setting to NFS mountred volume(/var/www/devel)
    
Actual results:
/var/log/messages entries below:
Jul 11 00:42:00 devel kernel: Code: 0f 0b 16 01 18 db 23 c0 eb d6 55 57 56 53 
85 c0 51 89 c3 89
Jul 11 00:42:00 devel kernel:  ------------[ cut here ]------------
Jul 11 00:42:00 devel kernel: kernel BUG at rmap.c:278!
Jul 11 00:42:00 devel kernel: invalid operand: 0000
Jul 11 00:42:00 devel kernel: nfs lockd sunrpc 8139too mii e100 keybdev 
mousedev hid input usb-uhci usbcore ext3 jbd
Jul 11 00:42:00 devel kernel: CPU:    0
Jul 11 00:42:00 devel kernel: EIP:    0060:[<c013a67e>]    Not tainted
Jul 11 00:42:00 devel kernel: EFLAGS: 00010246
Jul 11 00:42:00 devel kernel:
Jul 11 00:42:00 devel kernel: EIP is at page_add_rmap [kernel] 0x96 (2.4.20-
18.9)
Jul 11 00:42:00 devel kernel: eax: 00000000   ebx: c1630230   ecx: dde29d80   
edx: de560350
Jul 11 00:42:00 devel kernel: esi: c7877e14   edi: 40b85270   ebp: 00000000   
esp: c95d9eac
Jul 11 00:42:00 devel kernel: ds: 0068   es: 0068   ss: 0068
Jul 11 00:42:00 devel kernel: Process httpd (pid: 17775, stackpage=c95d9000)
Jul 11 00:42:00 devel kernel: Stack: c7877e14 dd4fc640 c0129c1e 1e76d025 
c1630230 dde29d80 cfaff408 ddf5d960
Jul 11 00:42:00 devel kernel:        cfaff408 ddf5d960 40b85270 00000000 
c0129d63 ddf5d960 dd4fc640 40b85270
Jul 11 00:42:00 devel kernel:        00000000 c7877e14 cfaff408 40b85270 
dd4fc640 c95d8000 ddf5d960 c01148a8
Jul 11 00:42:00 devel kernel: Call Trace:   [<c0129c1e>] do_no_page [kernel] 
0x15a (0xc95d9eb4))
Jul 11 00:42:00 devel kernel: [<c0129d63>] handle_mm_fault [kernel] 0x6f 
(0xc95d9edc))
Jul 11 00:42:00 devel kernel: [<c01148a8>] do_page_fault [kernel] 0x140 
(0xc95d9f08))
Jul 11 00:42:00 devel kernel: [<c0142ca6>] sys_stat64 [kernel] 0x26 
(0xc95d9f70))
Jul 11 00:42:00 devel kernel: [<c01d0001>] FPU_load_store [kernel] 0x1bd 
(0xc95d9f84))
Jul 11 00:42:00 devel kernel: [<c0114768>] do_page_fault [kernel] 0x0 
(0xc95d9fb0))
Jul 11 00:42:00 devel kernel: [<c0108e6c>] error_code [kernel] 0x34 
(0xc95d9fb8))




Expected results:
Stable NFS filesystem.

Additional info:
nfs-utils-1.0.1-2.9
kernel-2.4.20-18.9
glibc-2.3.2-11.9
Comment 1 Bugzilla owner 2004-09-30 11:41:17 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.